Bug 5869 - New report wizard for holds
Summary: New report wizard for holds
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 5575
  Show dependency treegraph
 
Reported: 2011-03-15 23:30 UTC by Chris Cormack
Modified: 2012-10-25 23:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Initial Patch (43.60 KB, patch)
2011-03-15 23:49 UTC, Chris Cormack
Details | Diff | Splinter Review
Followup patch (1.90 KB, patch)
2011-03-15 23:49 UTC, Chris Cormack
Details | Diff | Splinter Review
another follow up patch (7.48 KB, patch)
2011-03-16 16:13 UTC, Nicole C. Engard
Details | Diff | Splinter Review
final follow up (1.22 KB, patch)
2011-03-16 16:16 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-15 23:30:53 UTC
this reports is a wizard on reserves, like the ones we have on                                        
acquisitions/catalogue/patrons/circulation.                                                           
Choose what you want in row, in columns, how you want to filter
Comment 1 Chris Cormack 2011-03-15 23:48:42 UTC
2 patches sent
Comment 2 Chris Cormack 2011-03-15 23:49:26 UTC
Created attachment 3306 [details] [review]
Initial Patch
Comment 3 Chris Cormack 2011-03-15 23:49:50 UTC
Created attachment 3307 [details] [review]
Followup patch
Comment 4 Nicole C. Engard 2011-03-16 16:13:25 UTC
Signed off on initial and follow up  - have also added a second follow up patch that needs sign off.
Comment 5 Nicole C. Engard 2011-03-16 16:13:55 UTC
Created attachment 3326 [details] [review]
another follow up patch
Comment 6 Nicole C. Engard 2011-03-16 16:16:54 UTC
Created attachment 3327 [details] [review]
final follow up
Comment 7 Nicole C. Engard 2011-03-16 16:17:07 UTC
Added another follow up (2 now) that needs sign off.
Comment 8 Chris Cormack 2011-03-17 01:45:55 UTC
Pushed, please test and mark resolved
Comment 9 Paul Poulain 2011-03-19 06:13:13 UTC
tested, works
Comment 10 Nicole C. Engard 2011-03-19 15:42:07 UTC
I have tested and get no results ... can someone else confirm that it does in fact work and attach a screenshot of the limits they chose and the results they got?
Comment 11 Paul Poulain 2011-03-22 14:26:58 UTC
I just added a hold through Koha staff interface, reach the page and hit "Submit".
Comment 12 Chris Cormack 2011-03-22 21:25:55 UTC
Can we get a screenshot paul? Or someone else test?
Comment 13 Liz Rea 2011-04-01 16:54:03 UTC
I can't seem to make this work, I only get 0 results for any query.